karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Brian Topping (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KARAF-1966) Upgrade to Pax Web 3.0
Date Sat, 27 Oct 2012 13:21:13 GMT

    [ https://issues.apache.org/jira/browse/KARAF-1966?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13485434#comment-13485434
] 

Brian Topping commented on KARAF-1966:
--------------------------------------

This upgrade has broken ResourceServlet in the whiteboard extender.  It appears there are
unit tests for the ResourceServlet, but no integration tests for resources, and probably other
aspects of the Karaf integration.

Tomcat support is probably valuable to some new folks, but this change makes the server unusable
for existing ones, and I think we should move back to 2.1.0 until such time that Pax Web has
better testing for existing use cases.
                
> Upgrade to Pax Web 3.0
> ----------------------
>
>                 Key: KARAF-1966
>                 URL: https://issues.apache.org/jira/browse/KARAF-1966
>             Project: Karaf
>          Issue Type: Dependency upgrade
>          Components: karaf-webcontainer
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>             Fix For: 3.0.0
>
>
> In order to get all bug fixes, and especially the great work by Achim about Tomcat support,
we are going to update to Pax-Web 3.0 in Karaf 3.0.0.
> A first update to SNAPSHOT (for testing purpose) would be interesting.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message